Package com.independentsoft.office.vml

# Class Rule

java.lang.Object
com.independentsoft.office.vml.Rule

public class Rule extends Object
The Class Rule.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rule()`
  Instantiates a new rule.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Rule`
  `clone()`
  `AlignmentType`
  `getAlignment()`
  Gets the alignment.
  `String`
  `getID()`
  Gets the id.
  `List<Proxy>`
  `getProxies()`
  Gets the proxies.
  `String`
  `getReference()`
  Gets the reference.
  `RuleType`
  `getType()`
  Gets the type.
  `void`
  `setAlignment​(AlignmentType alignment)`
  Sets the alignment.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setType​(RuleType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Rule

    public Rule()
    Instantiates a new rule.

- ## Method Details

  - ### clone

    public Rule clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getProxies

    public List<Proxy> getProxies()
    Gets the proxies.
    Returns:
      the proxies

  - ### getAlignment

    public AlignmentType getAlignment()
    Gets the alignment.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(AlignmentType alignment)
    Sets the alignment.
    Parameters:
      `alignment` - the new alignment

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### getType

    public RuleType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(RuleType type)
    Sets the type.
    Parameters:
      `type` - the new type